## emacs-lsp-ui 6.2

=== Makefile ===
SHELL := /bin/bash

all:
	cask build

.PHONY: all

## emacs-lsp-ui 6.0

=== debian/changelog ===
emacs-lsp-ui (6.0-2) unstable; urgency=medium

  * add explicit dependency on flycheck (Closes: 920828)

 -- Thomas Koch <thomas@koch.ro>  Wed, 30 Jan 2019 09:49:12 +0000

emacs-lsp-ui (6.0-1) unstable; urgency=medium

  * new upstream version
  * fix url in debian/watch
  * update Standards-Version -> 4.3.0, no changes

 -- Thomas Koch <thomas@koch.ro>  Sun, 27 Jan 2019 16:41:29 +0000

emacs-lsp-ui (0.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: 905690)

 -- Thomas Koch <thomas@koch.ro>  Sat, 3 Nov 2018 16:37:32 +0000

=== debian/control ===
Source: emacs-lsp-ui
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper (>= 11),
 dh-elpa
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-lsp-ui
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-lsp-ui.git
Homepage: https://github.com/emacs-lsp/lsp-ui

Package: elpa-lsp-ui
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
 emacs25
Description: UI modules for lsp-mode
 lsp-ui contains a series of useful UI integrations for lsp-mode, like
 flycheck support and code lenses.

## emacs-lsp-ui 6.2

=== debian/changelog ===
emacs-lsp-ui (6.2-1) unstable; urgency=medium

  * new upstream version
  * remove patch for dash-2.14.1 compatibility
  * use debhelper-compat (= 12)
  * update standards-version 4.3->4.5, no changes

 -- Thomas Koch <thomas@koch.ro>  Sat, 15 Feb 2020 14:54:14 +0000

## emacs-lsp-ui 7.0.1

=== Makefile ===
SHELL := /usr/bin/env bash

EMACS ?= emacs
CASK ?= cask

build:
	EMACS=$(EMACS) cask install
	EMACS=$(EMACS) cask build
	EMACS=$(EMACS) cask clean-elc

ci: build compile test clean

compile:
	@echo "Compiling..."
	@$(CASK) $(EMACS) -Q --batch \
		-L . \
		--eval '(setq byte-compile-error-on-warn t)' \
		-f batch-byte-compile \
		*.el

test:
	EMACS=$(EMACS) cask exec ert-runner

clean:
	EMACS=$(EMACS) cask clean-elc

.PHONY: build ci compile test clean

=== debian/changelog ===
emacs-lsp-ui (7.0.1-1) unstable; urgency=medium

  * new upstream release

 -- Thomas Koch <thomas@koch.ro>  Sun, 11 Oct 2020 15:29:50 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Thomas Koch <thomas@koch.ro>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  dh-elpa
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-lsp-ui
 Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-lsp-ui.git
 Homepage: https://github.com/emacs-lsp/lsp-ui

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/lsp-ui.git-$1.tar.gz/" \
    https://github.com/emacs-lsp/lsp-ui/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-lsp-ui 8.0.0

=== Makefile ===
SHELL := /usr/bin/env bash

EMACS ?= emacs
CASK ?= cask

TEST-FILES := test/windows-bootstrap.el test/test-helper.el \
	$(shell ls test/lsp-ui-*.el)
LOAD-FILE = -l $(test-file)
LOAD-TEST-FILES := $(foreach test-file, $(TEST-FILES), $(LOAD-FILE))

build:
	EMACS=$(EMACS) cask install
	EMACS=$(EMACS) cask build
	EMACS=$(EMACS) cask clean-elc

# FIXME: Add `unix-test`
unix-ci: build unix-compile clean

# FIXME: Add `windows-test`
windows-ci: CASK=
windows-ci: windows-compile clean

unix-compile:
	@echo "Compiling..."
	@$(CASK) $(EMACS) -Q --batch \
		-L . \
		--eval '(setq byte-compile-error-on-warn t)' \
		-f batch-byte-compile \
		*.el

windows-compile:
	@echo "Compiling..."
	@$(CASK) $(EMACS) -Q --batch \
		--eval '(setq emacs-lsp-ci t)' \
		-l test/windows-bootstrap.el \
		-L . \
		--eval '(setq byte-compile-error-on-warn t)' \
		-f batch-byte-compile \
		*.el

unix-test:
	EMACS=$(EMACS) cask exec ert-runner

windows-test:
	@$(EMACS) -Q --batch \
		--eval '(setq emacs-lsp-ci t)' \
		-l test/windows-bootstrap.el \
		-L . \
		$(LOAD-TEST-FILES) \
		--eval "(ert-run-tests-batch-and-exit \
		'(and (not (tag no-win)) (not (tag org))))"

clean:
	rm -rf .cask *.elc

.PHONY: build ci unix-compile unix-test windows-compile windows-test clean

=== debian/changelog ===
emacs-lsp-ui (8.0.0-1) unstable; urgency=medium

  * new upstream version (Closes: #927751)
  * update Standards-Version 4.5.0->4.6.0
  * update debhelper-compat 12-13
  * Rules-Requires-Root: no

 -- Thomas Koch <thomas@koch.ro>  Sun, 02 Jan 2022 22:26:29 +0200

emacs-lsp-ui (7.0.1-2) unstable; urgency=medium

  [ Sean Whitton ]
  * Team upload.
  * Add don-t-depend-on-dash-functional.patch.
    See <https://github.com/magnars/dash.el/wiki/Obsoletion-of-dash-functional.el>.

  [ Nicholas D Steeves ]
  * Drop emacs25 from Enhances (package does not exist in bullseye).

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 18 Oct 2021 12:18:38 -0700

=== debian/control ===
Source: emacs-lsp-ui
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Thomas Koch <thomas@koch.ro>
Build-Depends: debhelper-compat (= 13),
 dh-elpa
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-lsp-ui
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-lsp-ui.git
Homepage: https://github.com/emacs-lsp/lsp-ui
Rules-Requires-Root: no

Package: elpa-lsp-ui
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: UI modules for lsp-mode
 lsp-ui contains a series of useful UI integrations for lsp-mode, like
 flycheck support and code lenses.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	/bin/true

override_dh_auto_clean:
	/bin/true

override_dh_auto_test:
	/bin/true

## emacs-lsp-ui 9.0.0

=== Makefile ===
SHELL := /usr/bin/env bash

EMACS ?= emacs
EASK ?= eask

TEST-FILES := test/windows-bootstrap.el test/test-helper.el \
	$(shell ls test/lsp-ui-*.el)
LOAD-FILE = -l $(test-file)
LOAD-TEST-FILES := $(foreach test-file, $(TEST-FILES), $(LOAD-FILE))

# FIXME: add `test`, and `lint`
ci: clean build compile checkdoc

build:
	$(EASK) package
	$(EASK) install
	$(EASK) clean elc

compile:
	@echo "Compiling..."
	@$(EASK) compile

test:
	@echo "Testing..."
	$(EASK) install-deps --dev
	$(EASK) exec ert-runner -L . $(LOAD-TEST-FILES) -t '!no-win' -t '!org'

checkdoc:
	@echo "Run checkdoc..."
	@$(EASK) lint checkdoc

lint:
	@echo "Run package-lint..."
	@$(EASK) lint package

clean:
	@$(EASK) clean all

.PHONY: ci build compile test clean

=== debian/changelog ===
emacs-lsp-ui (9.0.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:42:35 +0900

emacs-lsp-ui (9.0.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:41:59 +0900

emacs-lsp-ui (9.0.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
  * Remove MIA uploaders.  Thanks Thomas Koch for your maintenance
    (Closes: #1019024)
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse
  * Update standards version to 4.6.1, no changes needed
  * Set upstream metadata fields: Repository
  * Update standards version to 4.6.2, no changes needed

  [ Xiyue Deng ]
  * New upstream version
  * Update Standards-Version to 4.7.0; no change needed
  * Disable pristine-tar in d/gbp.conf to match the current practice
  * Add myself to uploaders
  * Add elpa-lsp-mode and elpa-flycheck to build-depends in d/control as
    required by tests
  * Enable ERT tests
  * Keep testing files to fix autopkgtest
  * Add d/salsa-ci.yml with default settings
  * Refresh patches
  * Add patches to fix tests
    - Properly provide and require test-helper
    - Fix lsp-ui-doc--make-smaller-empty-lines
    - Disable tests using rustic
  * Update metadata for patches
    - Add upstream bug and forwarded status

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 31 May 2024 18:47:58 -0700

=== debian/control ===
Source: emacs-lsp-ui
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Xiyue Deng <manphiz@gmail.com>
Build-Depends: debhelper-compat (= 13),
 dh-elpa,
 elpa-flycheck,
 elpa-lsp-mode,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-lsp-ui
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-lsp-ui.git
Homepage: https://github.com/emacs-lsp/lsp-ui
Rules-Requires-Root: no

Package: elpa-lsp-ui
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs
Enhances: emacs
Description: UI modules for lsp-mode
 lsp-ui contains a series of useful UI integrations for lsp-mode, like
 flycheck support and code lenses.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Skip building using eask

override_dh_auto_clean:
	@echo Skip cleaning using eask

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://github.com/emacs-lsp/lsp-ui/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
